MetacatUI - Task #6774
Story # 6716 (Resolved): Production-ready DataONE theme
Task # 6762 (Resolved): User testing at DUG July 12
Find bugs and inconsistencies in different browsers and OS
06/03/2015 05:07 PM - Lauren Walker

Status: Resolved Start date: 06/09/2015

Priority: High Due date:

Assignee: Rachel Volentine % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 1.7.0 Spent time: 0.00 hour

Description

Subtasks:

Task # 6780: Cross-origin resource sharing issues in IE and some versions of FF Resolved
Task # 6790: Download contents table is positioned oddly in Forefox38 on Windows 7 Resolved

Related issues:

Related to MetacatUIl - Bug #6786: Map width doesn't change on browser zoom out Resolved 06/25/2015
Related to MetacatUl - Bug #6789: SolrResults collection doesn't update when ... Resolved 06/26/2015
History

#1 - 06/05/2015 09:08 AM - Lauren Walker
- File browser_version-ww-monthly-201405-201505.csv added

Current browser version popularity will determine which browsers to test on. Attached spreadsheet taken from
http://gs.statcounter.com/#desktop-browser_version-ww-monthly-201405-201505

Browser versions to test, based on popularity:

IE 8,9, 10, 11, with focus on IE 8 and 11

Firefox 37, 38

Safari 7, 8

Any version of Chrome that users have installed. | think Chrome makes it almost impossible to roll back to an older version. Over 25% of internet
users have Chrome 42 anyway, which is very recent.

#2 - 06/11/2015 04:37 PM - Lauren Walker
- File Chrome.tiff added

- File Firefox.tiff added

- File IE.tiff added

- File safari.tiff added

Updated list of browser versions, based on Google Analytics data from www.dataone.org. (See Attached)

Chrome - 50% of sessions, almost all v. 40+

Firefox - 22% of sessions, almost all v. 30+

IE - 12% of sessions, half are v. 11, then v.9, v. 10, v. 8
Safari - 9% of sessions, half are v. 8 and a little of v. 7.

#3 - 06/24/2015 01:30 PM - Lauren Walker
- File Issues_AllBrowsers.docx added

- Status changed from New to In Progress

Attached is the first chunk of feedback from Rachel. All but two of these issues have already been fixed in the past week or so. I'll create a ticket for
the outstanding issues (collapsing the member node list and browser zooming displaces the map).

#4 - 06/25/2015 09:27 AM - Lauren Walker
- File FireFox_IE_Chrome_Windows7.docx added
Report from a UA team member using Windows 7.

#5 - 07/01/2015 09:56 AM - Lauren Walker

- Status changed from In Progress to Resolved
